Creates a new territory

Request Information

URI Parameters :

None.

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "a0031fd0-3a9b-4a28-bdb9-9174b45768e9",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "03446968-90a1-4175-9f97-e72425544c6f",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "b1a1a652-3b80-4bce-a1b2-bf740a243d75",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "21689c86-61d0-4cd1-89dd-22bf129780c7",
    "db_currency_id": "36b788c2-c112-4f80-a041-0c2cfb1e59ba",
    "db_language_id": "bfa2a185-292b-4e00-9afa-bc7ff5faf3f5",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-10T20:01:25.6982215+00:00"
  },
  "modified_dateutc": "2026-07-10T20:01:25.6982215+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.